Side (Freeplane API 1.13.2)
Description: declaration: package: org.freeplane.api, enum: Side

Package org.freeplane.api

# Enum Class Side

java.lang.Object
java.lang.Enum<Side>
org.freeplane.api.Side

All Implemented Interfaces:
  `Serializable`, `Comparable<Side>`, `Constable`

public enum Side extends Enum<Side>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM_OR_RIGHT`
  `DEFAULT`
  `TOP_OR_LEFT`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Side`
  `LEFT`
  Deprecated.
  `static final Side`
  `RIGHT`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Side`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Side[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final Side DEFAULT

  - ### TOP_OR_LEFT

    public static final Side TOP_OR_LEFT

  - ### BOTTOM_OR_RIGHT

    public static final Side BOTTOM_OR_RIGHT

- ## Field Details

  - ### LEFT

    @Deprecated public static final Side LEFT
    Deprecated.

  - ### RIGHT

    @Deprecated public static final Side RIGHT
    Deprecated.

- ## Method Details

  - ### values

    public static Side[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Side valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null